Orxonox: orxonox::StaticTimer Class Reference

# orxonox::StaticTimer Class Reference

The StaticTimer is a callback-object, calling a static function after a given time-interval. More...

`#include <src/orxonox/tools/Timer.h>`

Inheritance diagram for orxonox::StaticTimer:

List of all members.

## Public Member Functions

void | setTimer (float interval, bool bLoop, ExecutorStatic *executor, bool bKillAfterCall=false)
| Initializes the Timer with given values.
| StaticTimer (float interval, bool bLoop, ExecutorStatic *executor, bool bKillAfterCall=false)
| Constructor: Initializes the Timer with given values.
| StaticTimer ()

## Detailed Description

The StaticTimer is a callback-object, calling a static function after a given time-interval.

## Constructor & Destructor Documentation

orxonox::StaticTimer::StaticTimer | ( |  | ) | `[inline]`

orxonox::StaticTimer::StaticTimer | ( | float | interval,
|  | bool | bLoop,
|  | ExecutorStatic * | executor,
|  | bool | bKillAfterCall = `false` |
| ) |  |  | `[inline]`

Constructor: Initializes the Timer with given values.

Parameters:

  | interval | The timer-interval in seconds
  | bLoop | If true, the function gets called every 'interval' seconds
  | exeuctor | A executor of the function to call

References setTimer().

## Member Function Documentation

void orxonox::StaticTimer::setTimer | ( | float | interval,
|  | bool | bLoop,
|  | ExecutorStatic * | executor,
|  | bool | bKillAfterCall = `false` |
| ) |  |  | `[inline]`

Initializes the Timer with given values.

Parameters:

  | interval | The timer-interval in seconds
  | bLoop | If true, the function gets called every 'interval' seconds
  | object | The object owning the timer and the function
  | executor | A executor of the function to call

References orxonox::TimerBase::bActive_, orxonox::TimerBase::bKillAfterCall_, orxonox::TimerBase::bLoop_, orxonox::TimerBase::deleteExecutor(), orxonox::TimerBase::executor_, orxonox::TimerBase::interval_, orxonox::TimerBase::setInterval(), and orxonox::TimerBase::time_.

Referenced by orxonox::delay(), and StaticTimer().

The documentation for this class was generated from the following file:

- src/orxonox/tools/Timer.h